<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEmailtempsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: emailtemps
         */
        Schema::create('emailtemps', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('email_type')->nullable();
            $table->enum('status', ['Active','Inactive'])->nullable();
            $table->string('template_type', 25)->nullable();
            $table->text('subject')->nullable();
            $table->text('heading_1')->nullable();
            $table->text('content')->nullable();
            $table->text('discliamer')->nullable();
            $table->text('footer')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 25)->nullable();
            $table->package::package.fieldtype.ON(')')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('emailtemps');
    }
}
