Lavalite package that provides emailtemp management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepci/emailtemp`.

    "litepci/emailtemp": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepci\Emailtemp\Providers\EmailtempServiceProvider::class,

And also add it to alias

    'Emailtemp'  => Litepci\Emailtemp\Facades\Emailtemp::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepci\\EmailtempTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Emailtemp\Providers\EmailtempServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Emailtemp\Providers\EmailtempServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Emailtemp\Providers\EmailtempServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/emailtemp/{modulename}

**User**

    http://path-to-route-folder/user/emailtemp/{modulename}

**Public**

    http://path-to-route-folder/emailtemps


### API endpoints

**List**

    http://path-to-route-folder/api/user/emailtemp/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/emailtemp/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/emailtemp/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/emailtemp/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/emailtemp/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/emailtemp/{modulename}/{slug}
    METHOD: GET