<?php

namespace Litepci\Emailtemp\Forms;

class Emailtemp
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'company_id' => [
                    "type" => 'numeric',
                    "label" => trans('emailtemp::emailtemp.label.company_id'),
                    "placeholder" => trans('emailtemp::emailtemp.placeholder.company_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'email_type' => [
                    "type" => 'numeric',
                    "label" => trans('emailtemp::emailtemp.label.email_type'),
                    "placeholder" => trans('emailtemp::emailtemp.placeholder.email_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'template_type' => [
                    "type" => 'text',
                    "label" => trans('emailtemp::emailtemp.label.template_type'),
                    "placeholder" => trans('emailtemp::emailtemp.placeholder.template_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'subject' => [
                    "type" => 'text',
                    "label" => trans('emailtemp::emailtemp.label.subject'),
                    "placeholder" => trans('emailtemp::emailtemp.placeholder.subject'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'heading_1' => [
                    "type" => 'text',
                    "label" => trans('emailtemp::emailtemp.label.heading_1'),
                    "placeholder" => trans('emailtemp::emailtemp.placeholder.heading_1'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'content' => [
                    "type" => 'text',
                    "label" => trans('emailtemp::emailtemp.label.content'),
                    "placeholder" => trans('emailtemp::emailtemp.placeholder.content'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'discliamer' => [
                    "type" => 'text',
                    "label" => trans('emailtemp::emailtemp.label.discliamer'),
                    "placeholder" => trans('emailtemp::emailtemp.placeholder.discliamer'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'footer' => [
                    "type" => 'text',
                    "label" => trans('emailtemp::emailtemp.label.footer'),
                    "placeholder" => trans('emailtemp::emailtemp.placeholder.footer'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                ')' => [
                    "type" => 'package::package.formcontrols.ON',
                    "label" => trans('emailtemp::emailtemp.label.)'),
                    "placeholder" => trans('emailtemp::emailtemp.placeholder.)'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
